$(document).ready(
  function ()
  {
    addHoverPressedEvents($('#rescuecenter'));
    var rescueClick = false;
    $('#rescuecenter').mousedown(
      function (e)
      {
        if (e.button == 1)
        {
          rescueClick = true;
        }
      }
    );
    $('#rescuecenter').mouseup(
      function (e)
      {
        if (rescueClick)
        {
          if (e.button == 1)
          {
            rescueClick = false;
            call('#launch:RescueCenter.exe');
          }
        }
      }
    ).keydown(
      function (e)
      {
        if (e.keyCode == 13)
        {
          rescueClick = false;
          call('#launch:RescueCenter.exe');
        }
      }
    );
    if (debug)
    {
      showTrial('Ihre Testzeit endet in 2 Tagen.');
    }
  }
);

function showTrial(text)
{
  $('#trial').show();
  $('#trial td:first').html(text);
  var prefixname = 'images/trial/buy_button_';
  var leftBorderHover = 27;
  var rightBorderHover = 11;

  $('#trial .button').LayerButton(
    {
      'groupID':        'trial',
      'normal':
      {
        'imageSource':  { 'prefix': prefixname, 'suffix': '.png' },
        'imageBorders': { 'right': rightBorderHover, 'left': leftBorderHover }
      },
      'hover':
      {
        'imageSource':  { 'prefix': prefixname + 'hover_', 'suffix': '.png' },
        'imageBorders': { 'right': rightBorderHover, 'left': leftBorderHover }
      }
    }
  );
}